// author: yurii alekhin
// date: 22.04.2025
#include <cstdint>
#include "testlib.h"
using namespace std;

const int32_t MAXN = 500;
const int64_t MINC = -1e9;
const int64_t MAXC = 1e9;

int32_t main(int argc, char* argv[]) {
  registerValidation(argc, argv);
  int32_t n = inf.readInt(1, MAXN, "n");
  inf.readEoln();
  for (int32_t i = 0; i < n * 2; ++i) {
    inf.readLongs(2, MINC, MAXC, "x y");
    inf.readEoln();
  }  
  inf.readEof();
  return 0;
}
